[arch-commits] Commit in openjdk6/repos (extra-i686 extra-i686/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Apr 30 01:14:35 EDT 2009


    Date: Thursday, April 30, 2009 @ 01:14:34
  Author: andyrtr
Revision: 37039

Merged revisions 37030 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/openjdk6/trunk

........
  r37030 | andyrtr | 2009-04-30 04:07:35 +0000 (Do, 30 Apr 2009) | 2 lines
  
  upgpkg: openjdk6 1.5_hg20090429-1
      new version - mercurial shot 20090429
........

Modified:
  openjdk6/repos/extra-i686/	(properties)
  openjdk6/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)


Property changes on: openjdk6/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /openjdk6/trunk:1-29221
   + /openjdk6/trunk:1-37038

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-30 05:11:53 UTC (rev 37038)
+++ extra-i686/PKGBUILD	2009-04-30 05:14:34 UTC (rev 37039)
@@ -3,16 +3,16 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=openjdk6
-pkgver=1.5
+_date=20090429
+pkgver=1.5_hg${_date}
 _icedteaver=1.5pre
-pkgrel=0.1
-_date=20090305
+pkgrel=1
 pkgdesc='Free Java environment based on OpenJDK 6.0 with IcedTea6 replacing binary plugs.'
 url='http://icedtea.classpath.org'
 arch=('i686' 'x86_64')
 license=('GPL')
-_openjdk_version=b14
-_openjdk_date=25_nov_2008
+_openjdk_version=b16
+_openjdk_date=13_apr_2009
 _hotspotver=fc6a5ae3fef5 # what it downlopads itself / remove from configure to get it
 depends=('gcc-libs' 'xdg-utils' 'hicolor-icon-theme')
 makedepends=('alsa-lib' 'libxtst' 'giflib' 'libxp' 'gtk2' 'nspr' 'zlib' 'freetype2' 'libjpeg' 'libx11' 'libcups' 'patch' 'xalan-java' 'xulrunner>=1.9.0.3' 'apache-ant>=1.7.0' 'autoconf' 'unzip' 'rhino' 'mercurial')
@@ -31,8 +31,8 @@
 	fontconfig-paths.diff
 	openjdk6.profile)
 noextract=(openjdk-6-src-${_openjdk_version}-${_openjdk_date}.tar.gz ${_hotspotver}.tar.gz)
-md5sums=('9f9773a822156dd3d576d83d794364ce'
-         'd57bf545dc50d41588b43112393dac26'
+md5sums=('d395b4d4ac8b2aff70730b953f9e2736'
+         '156f4efbdc0631cb7fd610c4ebaeda59'
          '1c3510387dccdb4907d0fd2f1c58e372'
          '5da3e39fa60985576c4f37d1491efbe2'
          'f7e7a212e50abb56a6ef1a2b1bd27405'
@@ -45,7 +45,7 @@
   # for hg checkout install mercurial and
 #  mkdir ${srcdir}/icedtea6-${_date}
 #  cd ${srcdir}/icedtea6-${_date}
-#  hg clone http://icedtea.classpath.org/hg/icedtea6 || return 1
+#  hg -v clone http://icedtea.classpath.org/hg/icedtea6 || return 1
 #  tar -cvjf ../../icedtea6-${_date}.tar.bz2 *
 #  return 1
 
@@ -100,8 +100,8 @@
   
   install -m755 -d ${pkgdir}/${_jvmdir}/jre
 
-  pushd ${srcdir}/icedtea6/openjdk/control/build/linux-${_arch}/j2sdk-image
-#  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/control/build/linux-${_arch}/j2sdk-image
+  pushd ${srcdir}/icedtea6/openjdk/build/linux-${_arch}/j2sdk-image
+#  pushd ${srcdir}/icedtea6-${_icedteaver}/openjdk/build/linux-${_arch}/j2sdk-image
    # Install main files.
   cp -a bin include lib src.zip ${pkgdir}/${_jvmdir}/ || return 1
   cp -a jre/bin jre/lib ${pkgdir}/${_jvmdir}/jre/ || return 1



More information about the arch-commits mailing list